import { Injectable } from '@angular/core';
import {
  ActivatedRouteSnapshot,
  Resolve,
  RouterStateSnapshot
} from '@angular/router';
import { Observable, of } from 'rxjs';
import { PopupSet } from 'src/modules/infos/popup-set/model/popup-set.model';
import { PopupSetService } from 'src/modules/infos/popup-set/service/popup-set.service';

@Injectable()
export class PopupSetDetailResolver implements Resolve<PopupSet> {
  /**
   * Constructor
   */
  constructor(private popupSetService: PopupSetService) {}

  /**
   * Resolver
   */
  resolve(
    route: ActivatedRouteSnapshot,
    state: RouterStateSnapshot
  ): Observable<PopupSet> | Promise<PopupSet> | any {
    const id = route.params.id;
    if ('0' === id) {
      return of({});
    }
    // return this.popupSetService.getUser(route.params.id);
    console.log('dddddddddddddddd');
    return null;
  }
}
