import { NgModule, ModuleWithProviders } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FIX_BONUS_SERVICES } from './fix-bonus/service';
import { ROULETTE_COUPON_SERVICES } from './roulette-coupon/service';
@NgModule({
  imports: [],
  exports: []
})
export class SpecialRootModule {}

@NgModule({
  declarations: [],
  imports: [CommonModule],
  exports: []
})
export class SpecialModule {
  public static forRoot(): ModuleWithProviders<SpecialRootModule> {
    return {
      ngModule: SpecialRootModule,
      providers: [FIX_BONUS_SERVICES, ROULETTE_COUPON_SERVICES]
    };
  }
}
